Chapitre 2. Mise en service de GIMP
| Partie I. Premiers pas dans GIMP |

## Chapitre 2. Mise en service de GIMP

## 1. Lancer GIMP

Historique des versions
Version $Revision: 2504 $ | 2006-04-05 | j.h

Le plus souvent vous lancez le GIMP en cliquant sur l'icône (si votre système est configuré pour vous en afficher une), ou en tapant gimp sur la ligne de commande. Si vous avez plusieurs versions de GIMP d'installées, vous devrez taper gimp-numéro_de_version pour lancer la dernière version. Vous pouvez, si vous le désirez, donner une liste de fichiers d'image dans la ligne de commande après le nom du programme, pour qu'ils soient automatiquement ouverts au démarrage de GIMP. On peut aussi, bien sûr, ouvrir des images une fois le programme démarré.

Dans la plupart des systèmes d'exploitation, vous pouvez faire en sorte que certains types de fichiers image soient « associés » avec GIMP et le lancent ainsi automatiquement lorsque l'icône de l'un d'entre eux est double-cliquée.

### 1.1. Plateformes connues

GIMP est probablement le programme de manipulation d'images le mieux accepté par les différents systèmes d'exploitation. Les plateformes sur lesquelles GIMP a été vu fonctionner

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ et BeOS™.

GIMP peut aisément être porté sur d'autres systèmes grâce à la disponibilité de son code source. Pour plus d'informations visitez la page web des développeurs du GIMP. [GIMP-DEV].

### 1.2. Langue

En principe, GIMP détecte la langue du système. Mais il peut échouer sur certaines machines et vous pouvez souhaiter utiliser une autre langue. Il est possible de changer de langue:

Linux

  Sous LINUX : en mode console, tapez `LANGUAGE=fr gimp` ou `LANG=fr gimp` en remplaçant fr par en, de, ... selon la langue choisie. En utilisant `LANGUAGE=en` vous choisissez une variable d'environnement pour le programme `gimp` dans ce cas.

Windows XP

  Sous WINDOWS XP : allez sur Poste de travail/Propriétés/ Onglet Avancé. Cliquez sur le Bouton Variables d'environnement puis sur le bouton Nouveau et entrez `LANG` pour Nom et `FR, EN, DE ...` pour Valeur. Attention ! vous devez cliquer sur trois « OK » successifs pour valider votre choix.

  Si vous changez souvent de langue, vous pouvez créer un fichier de commandes .BAT. Ouvrez le Bloc-Note. Tapez les commandes (pour avoir GIMP en anglais) :

  set lang=en
  cd c:\Program Files\GIMP-2.0\bin
  GIMP-2.4.exe

  Enregistrez ce fichier sous le nom GIMP-EN.BAT (ou tout autre nom mais toujours avec l'extension .BAT). Créez un raccourci pour ce fichier et faites-le glisser jusque sur votre bureau.

Apple Mac OS X

  allez dans les Préférences système, cliquez sur l'icône International et dans l'onglet Langue, la langue voulue doit être placée en premier dans la liste.

### 1.3. Les arguments de la ligne de commande

D'habitude vous n'aurez pas besoin d'argument dans la ligne de commande de GIMP, mais voici la liste de ceux qui pourraient vous être utiles un jour ou l'autre. Elle n'est pas exhaustive ; sur les systèmes Unix vous pouvez obtenir une liste complète en lançant `man gimp` dans un terminal.

Pour utilser les options de la ligne de commande, vous devez les placer dans la ligne de commande que vous utilisez pour démarrer GIMP, par exemple gimp-2.4 [OPTION...] [FICHIER|URI...].

-?, --help

  Affiche la liste de toutes les options de la ligne de commande.

--help-all

  Afficher toutes les options d'aide

--help-gtk

  Afficher les options GTK+

-v, --version

  Affiche la version de GIMP utilisée et quitte.

--license

  Afficher les informations sur la license et sortir

--verbose

  Affiche les messages de démarrage détaillés.

-n, --new-instance

  Démarrer une nouvelle instance GIMP

-a, --as-new

  Ouvrir les images en tant que nouvelles

-i, --no-interface

  Lancer sans interface utilisateur

-d, --no-data

  Ne charge ni motifs, ni dégradés, ni palettes, ni brosses. Souvent utile dans les situations non interactives quand le temps de démarrage doit être optimisé.

-f, --no-fonts

  Ne charge aucune police de caractères. Cette option peut être utile pour accélérer le démarrage de GIMP, pour les scripts qui n'utilisent pas de police, ou pour résoudre les problèmes de police malformée qui peuvent bloquer GIMP.

-s, --no-splash

  N'affiche pas l'écran de démarrage.

--no-shm

  Ne pas utiliser le partage de mémoire entre GIMP et les greffons.

--no-cpu-accel

  Ne pas utiliser les fonctions spéciales d'accélération du microprocesseur. Utile pour déteceter et résoudre les fonctions ou matériels mal accélérés.

--session=`name`

  Utilise un sessionrc différent pour cette session de GIMP. Le nom de session passé en paramètre est ajouté au nom du fichier sessionrc par défaut.

--gimprc=`filename`

  Utilise un gimprc de remplacement à la place de celui par défaut. Le fichier « gimprc » contient l'enregistrement de vos préférences. Utile dans les cas où le chemin des greffons ou les spécifications de machine sont différents.

--system-gimprc=`filename`

  Utiliser un autre fichier système gimprc

-b, --batch=`commands`

  Exécute les commandes de manière non interactive. Les commandes sont généralement sous la forme d'un script qui peut être exécuté par l'une des extensions de script du GIMP. Quand la commande est `-`, les commandes sont lues sur l'entrée standard.

--batch-interpreter=`proc`

  Procédure pour élaborer les commandes batch.

--console-messages

  N'ouvre pas de boîte de dialogues pour les messages d'avertissements mais les affiche dans la fenêtre console à la place.

--pdb-compat-mode=`mode`

  Mode de compatibilité PDB (off|on|warn).

--stack-trace-mode=`mode`

  Déboguer en cas de plantage (never|query|always)

--debug-handlers

  Active les routines de débogage des signaux non fatals.

--g-fatal-warnings

  Rendre fatals tous avertissements. Utile pour le débogage.

--dump-gimprc

  Génère un fichier gimprc avec les valeurs par défaut. Utile si vous avez dérérioré le fichier gimprc.

--display=`display`

  Utilise l'affichage spécifié du serveur X (ne fonctionne évidemment pas sous Windows)

2. Quoi de neuf dans GIMP 2.4 ? |  | 2. GIMP : premier démarrage